
class TeamEntity {

  int total;
	List<TeamItem> rows;

	TeamEntity.fromJsonMap(Map<String, dynamic> map):
				total = map["total"],
				rows = List<TeamItem>.from(map["rows"].map((it) => TeamItem.fromJsonMap(it)));

	Map<String, dynamic> toJson() {
		final Map<String, dynamic> data = new Map<String, dynamic>();
		data['total'] = total;
		data['rows'] = rows != null ?
		this.rows.map((v) => v.toJson()).toList()
				: null;
		return data;
	}
}


class TeamItem {
	String id;
	String name;
	String corporator;
	String telephone;
	String remarks;
	int isCertificated;
	String logoImg;
	int userNum;
	String createDate;
	bool currentTeamFlag;

	TeamItem();

	TeamItem.fromJsonMap(Map<String, dynamic> map):
				id = map["id"]??"",
				name = map["name"]??"",
				corporator = map["corporator"]??"",
				telephone = map["telephone"]??"",
				remarks = map["remarks"]??"无",
				isCertificated = map["isCertificated"]??0,
				logoImg = map["logoImg"]??"",
				userNum = map["userNum"]??0,
				createDate = map["createDate"]??"",
				currentTeamFlag = map["currentTeamFlag"]??false;

	Map<String, dynamic> toJson() {
		final Map<String, dynamic> data = new Map<String, dynamic>();
		data['id'] = id;
		data['name'] = name;
		data['corporator'] = corporator;
		data['telephone'] = telephone;
		data['remarks'] = remarks;
		data['isCertificated'] = isCertificated;
		data['logoImg'] = logoImg;
		return data;
	}
}
